Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82502 - EAs and ACLs doesn't seem to work in phoebe 2
Summary: EAs and ACLs doesn't seem to work in phoebe 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-22 21:39 UTC by Dax Kelson
Modified: 2007-04-18 16:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-19 21:43:29 UTC


Attachments (Terms of Use)

Description Dax Kelson 2003-01-22 21:39:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
Here is an EA test:

# cd /tmp
# echo boomoo > foo
# setfattr -n cost -v 10 foo
setfattr: foo: Operation not supported

Doing an strace shows the offender:

setxattr("foo", "cost", 0x804ae70, 2, ) = -1 EOPNOTSUPP (Operation not
supported)

Here is an ACL test:

# cd /tmp
# touch anotherfile
# ls -l anotherfile
-rw-r--r--    1 root     root            0 Jan 22 14:13 anotherfile
# setfacl -m u:joe:7 anotherfile
setfacl: anotherfile: Operation not supported

strace info:

getxattr("anotherfile", "system.posix_acl_access", 0xbfffda30, 132) = -1
EOPNOTSUPP (Operation not supported)
setxattr("anotherfile", "system.posix_acl_access", 0x804fcc8, 44, ) = -1
EOPNOTSUPP (Operation not supported)

Version-Release number of selected component (if applicable):
kernel-2.4.20-2.24

Comment 1 Steve Dickson 2003-01-30 16:48:34 UTC
The filesystem needs to be mounted with the acl and/or user_xattr options
To verify the filesystem is mounted correctly the output of the
mount command whould look like:

    /dev/sdb3 on /d1 type ext3 (rw,acl,user_xattr)

Comment 2 Dax Kelson 2003-01-30 23:05:15 UTC
Those mount options should be in the mount man page.

I still have a problem though. ACLs work, ATTRs don't.

# mount
/dev/hda5 on / type ext3 (rw,acl,user_xattr)

[root@mentor tmp]# cd /tmp  (this is part of /)
[root@mentor tmp]# setfacl -m u:joe:7 somefile
[root@mentor tmp]# getfacl somefile
# file: somefile
# owner: root
# group: root
user::rw-
user:joe:rwx
group::r--
mask::rwx
other::r--

ATTRs don't work yet....

[root@mentor tmp]# echo lksdjf > foo2
[root@mentor tmp]# setfattr -n cost -v 10 foo2
setfattr: foo2: Operation not supported
[root@mentor tmp]#



Comment 3 Steve Dickson 2003-01-31 21:57:15 UTC
the name (-n) has to be prefixed with "user." Try:
setfattr -n user.cost -v 10 foo2

Comment 4 Bill Nottingham 2003-02-18 21:58:16 UTC
Does this work for you now?

Comment 5 Bill Nottingham 2003-02-19 21:43:29 UTC
This works for me with 2.4.20-2.49


Note You need to log in before you can comment on or make changes to this bug.